Opened 9 years ago

Closed 9 years ago

#2265 closed bug (fixed)

GHC 6.8 (STABLE) autoconf version requirements issue

Reported by: kgardas Owned by:
Priority: normal Milestone: 6.10.1
Component: Build System Version: 6.8.2
Keywords: Cc:
Operating System: Solaris Architecture: x86
Type of failure: None/Unknown Test Case:
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:

Description

Hello, I'm trying to build GHC stable on Solaris/x86 (Solaris Express Developer Edition 1/08 exactly) and after end-less of loops and attempts I tried to experiment with various autoconf versions since my issues was all build issues where autoconf was involved. So at least partial conclusion is that autoconf 2.52 cannot be used nor autoconf 2.62. Both produce configure scripts which are not able to build GHC. Finally when I tried autoconf 2.59 I've been successful and build works for the first time. I'm writing this bug to point this out and ask for correction of this page http://hackage.haskell.org/trac/ghc/wiki/Building/Prerequisites

Thanks! Karel

Attachments (2)

autoconf262.log.gz (76.6 KB) - added by kgardas 9 years ago.
autoconf259.log.gz (74.5 KB) - added by kgardas 9 years ago.

Download all attachments as: .zip

Change History (6)

comment:1 Changed 9 years ago by igloo

difficulty: Unknown
Milestone: 6.8.3
Priority: normallow

Can you attach a log of a clean build going wrong with 2.62, please, including all the commands that you run?

comment:2 Changed 9 years ago by kgardas

OK, I've basically downloaded ghc-STABLE-2007-09-11-ghc-corelibs-testsuite.tar.bz2 and unpacked it in /var/tmp, then cd /var/tmp/ghc, darcs pull -a, chmod +x darcs-all, darcs-all pull -a and then did what's in log files. To be honest I'm not able to build current STABLE with neither autoconf 2.62 nor with 2.59 (which worked before, but I have forgotten how :-). Well, anyway, autoconf 2.62 produces quite suspicious warnings and they are logged in the log file. For your reference I also provided log file from autoconf 2.59 build.

Changed 9 years ago by kgardas

Attachment: autoconf262.log.gz added

Changed 9 years ago by kgardas

Attachment: autoconf259.log.gz added

comment:3 Changed 9 years ago by igloo

Milestone: 6.8.36.10.1
Priority: lownormal

comment:4 Changed 9 years ago by igloo

Resolution: fixed
Status: newclosed

OK, so as far as I can tell from the logs, 2.62 is just complaining more, but behaving the same.

The build is failing with readline path problems, but we don't use readline any more, so I'm closing this ticket.

Note: See TracTickets for help on using tickets.